Subject: Re: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 15:34:04 -0700

David Benjamin <[email-masked]> writes:

> Here's a patch for something that's been bugging me. This makes Cmd-` cycle through only the current space's windows, which is
> consistent with other programs on OS X. It also matches the behavior of other-frame on X11 for window managers that implement
> virtual desktops by mapping and unmapping windows. The patch is attached.
>
> It's not perfect; if you go into Mission Control or so and move a window onto another space without switching spaces, it won't notice
> until you switch spaces again. I wasn't able to find a notification to listen to; it'd be nice to replace the visible field in a frame with some
> virtual call that, in Cocoa, would just call out to [win isVisible] and [win isOnActiveSpace], but that'd be a more invasive change. It also
> doesn't fix the behavior where closing the last window on a space warps you to a window on another space. I'm not sure yet what's
> causing that.
>
> As far as copyright goes, if this is a large enough change to matter (a decent chunk of the diff is just moving some code around), I'm a
> Google employee. I'm told we already have an agreement on file with the FSF.

(This was sent 7 years ago but unfortunately never got a reply at the
time.)

The attached patch unfortunately no longer applies.

Is this still an issue on modern versions of Emacs?

Best regards,
Stefan Kangas